# Uses of Interface
org.apache.datasketches.partitions.SketchFillRequest

Packages that use SketchFillRequest
Package
Description
org.apache.datasketches.partitions
This package is for classes that simplify the task of partitioning large data into many approximately equal-sized partitions.

## Uses of SketchFillRequest in org.apache.datasketches.partitions

Constructors in org.apache.datasketches.partitions with parameters of type SketchFillRequest
Modifier
Constructor
Description
``
`Partitioner(long tgtPartitionSize, int maxPartsPerPass, SketchFillRequest<T,S> fillReq)`
This constructor assumes a QuantileSearchCriteria of INCLUSIVE.
``
`Partitioner(long tgtPartitionSize, int maxPartsPerSk, SketchFillRequest<T,S> fillReq, QuantileSearchCriteria criteria)`
This constructor includes the QuantileSearchCriteria criteria as a parameter.